{% extends "site_base.html" %}
{% load registrasion_tags %}
{% load lca2018_tags %}
{% load static %}

{% block head_title %}Raffle Winners{% endblock %}
{% block page_title %}Raffle Winners{% endblock %}

{% block content %}
{% for raffle in raffles %}
{% if raffle.hidden %}
{% else %}
<h2 class="mt-3"><a href="{% url "raffle-draw" raffle.id %}">{{ raffle }}</a></h2>

<dl class="row my-4">
  {% for prize in raffle.prizes.all %}
  <dt class="col-sm-3 text-truncate">{{ prize }}</dt>
  <dd class="col-sm-9">
    {% if prize.winning_ticket %}
    {% with prize.winning_ticket as winner %}
    {# this should be attendee name #}
    {% with winner.lineitem.invoice.user.attendee.attendeeprofilebase as profile %}
    <p><strong>Winning ticket {{ winner.ticket }}, <a href="{% url "attendee" winner.lineitem.invoice.user.id %}">{{ profile.attendee_name }}</a></strong><br />
      Drawn by {{ winner.draw.drawn_by }}, {{ winner.draw.drawn_time}}
    </p>
    {% endwith %}
    <div class="alert alert-danger">
      <form method="POST" action="{% url 'raffle-redraw' winner.id %}">
        {% csrf_token %}
        {# This should have a `reason` field that can be passed through to the Audit log #}
        <p>
          Re-draw <em>{{ prize }}</em>
          <button type="submit" class="btn btn-danger float-right">Re-draw</button>
        </p>
        <div class="clearfix"></div>
      </form>
    </div>
    {% endwith %}
    {% else %}
    Not drawn
    {% endif %}
  </dd>
  {% endfor %}
</dl>

{% if raffle.is_open %}
<form method="POST" action="{% url 'raffle-draw' raffle_id=raffle.id %}">
    {% csrf_token %}
    <button type="submit" class="btn btn-success">Draw tickets</button>
    <div class="clearfix"></div>
  </form>
{% endif %}
{% if not forloop.last %}<hr>{% endif %}
{% endif %}
{% endfor %}

{% endblock %}
